Send test notification
curl --request POST \
--url https://{workspace}.klef.ai/api/policies/test-notification \
--header 'Content-Type: application/json' \
--cookie klef.session= \
--data '
{
"content": {
"kind": "email",
"subject": "<string>",
"body": "<string>",
"title": "<string>",
"recipients": [
{
"recipient": {
"kind": "path",
"key": "<string>"
}
}
]
}
}
'import requests
url = "https://{workspace}.klef.ai/api/policies/test-notification"
payload = { "content": {
"kind": "email",
"subject": "<string>",
"body": "<string>",
"title": "<string>",
"recipients": [{ "recipient": {
"kind": "path",
"key": "<string>"
} }]
} }
headers = {
"cookie": "klef.session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'klef.session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: {
kind: 'email',
subject: '<string>',
body: JSON.stringify('<string>'),
title: '<string>',
recipients: [{recipient: {kind: 'path', key: '<string>'}}]
}
})
};
fetch('https://{workspace}.klef.ai/api/policies/test-notification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}Policies
Send test notification
Uses a made-up worker. Email tests go to the caller’s address.
POST
/
policies
/
test-notification
Send test notification
Authorizations
cookieAuthapiKeyAuth
Cookie-based session. Obtain by completing the /auth/login/{provider} OAuth flow; the /auth/callback response sets the klef.session cookie that subsequent requests send automatically.
Body
application/json
One notification of the document, as POST /policies/compile returned it.
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Response
No Content
Was this page helpful?